Bug 512778 - RFE: allow specification of map files for pdebuild script to use for qualifiers
RFE: allow specification of map files for pdebuild script to use for qualifiers
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-07-20 14:41 EDT by Jeff Johnston
Modified: 2013-01-10 11:34 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-01-10 11:34:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeff Johnston 2009-07-20 14:41:27 EDT
Description of problem:

The pdebuild script (/usr/lib/eclipse/scripts/pdebuild) does not provide a way to specify map files which are used to set the .qualifiers of features and plugins.

The underlying logic does not need to do a fetch; all that is needed is to generate a featureVersions.properties file and a pluginVersions.properties file and add them to the build directory.

It is requested that a way be provided to specify map files to pdebuild and these be subsequently used to generate a featureVersions.properties and pluginVersions.properties file in the build directory.

This would make it much more convenient for those wanting to build packages such as Eclipse RSE which sets all qualifiers based on map files.
Comment 1 Fedora Admin XMLRPC Client 2010-08-31 11:58:51 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Alexander Kurtakov 2013-01-10 11:34:28 EST
Closing as pdebuild is being phased out in favour of tycho.

Note You need to log in before you can comment on or make changes to this bug.